[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / FirebaseAppCheckHttpInterceptor

# Class: FirebaseAppCheckHttpInterceptor

Defined in: [firebase-app-check.http-interceptor.ts:27](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-app-check.http-interceptor.ts#L27)

## Implements

- `HttpInterceptor`

## Constructors

### new FirebaseAppCheckHttpInterceptor()

> **new FirebaseAppCheckHttpInterceptor**(`appCheck`, `urlPattern`, `enabled`): [`FirebaseAppCheckHttpInterceptor`](FirebaseAppCheckHttpInterceptor.md)

Defined in: [firebase-app-check.http-interceptor.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-app-check.http-interceptor.ts#L31)

#### Parameters

##### appCheck

`AppCheck`

##### urlPattern

`RegExp` | `RegExp`[]

##### enabled

`null` | `boolean`

#### Returns

[`FirebaseAppCheckHttpInterceptor`](FirebaseAppCheckHttpInterceptor.md)

## Properties

### appCheck

> `readonly` **appCheck**: `AppCheck`

Defined in: [firebase-app-check.http-interceptor.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-app-check.http-interceptor.ts#L32)

## Methods

### intercept()

> **intercept**(`req`, `next`): `Observable`\<`HttpEvent`\<`any`\>\>

Defined in: [firebase-app-check.http-interceptor.ts:42](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase-app-check.http-interceptor.ts#L42)

Identifies and handles a given HTTP request.

#### Parameters

##### req

`HttpRequest`\<`any`\>

The outgoing request object to handle.

##### next

`HttpHandler`

The next interceptor in the chain, or the backend
if no interceptors remain in the chain.

#### Returns

`Observable`\<`HttpEvent`\<`any`\>\>

An observable of the event stream.

#### Implementation of

`HttpInterceptor.intercept`
